Index: explore/beta/sasfit_compare.py
===================================================================
--- explore/beta/sasfit_compare.py	(revision 7b0abf8a1cf121fb3e4733dd887a921fb598a7a0)
+++ explore/beta/sasfit_compare.py	(revision 2a12351b8b7f57f6668c3974b81f6be423c68ba3)
@@ -208,4 +208,5 @@
     F1, F2 = np.zeros_like(q), np.zeros_like(q)
     for k, Rpk in enumerate(Rp_val):
+        print("ellipsoid cycle", k, "of", len(Rp_val))
         for i, Rei in enumerate(Re_val):
             theory = ellipsoid_theta(q, Rpk, Rei, sld, sld_solvent)
@@ -343,6 +344,6 @@
     #Sq = Iq/Pq
     #Iq = None#= Sq = None
-    r = I._kernel.results
-    return Theory(Q=q, F1=None, F2=None, P=Pq, S=None, I=None, Seff=r[1], Ibeta=Iq)
+    r = dict(I._kernel.results())
+    return Theory(Q=q, F1=None, F2=None, P=Pq, S=None, I=None, Seff=r["S_eff(Q)"], Ibeta=Iq)
 
 def compare(title, target, actual, fields='F1 F2 P S I Seff Ibeta'):
@@ -401,11 +402,11 @@
         radius_polar=20, radius_equatorial=400, sld=4, sld_solvent=1,
         background=0,
-        radius_polar_pd=.1, radius_polar_pd_type=pd_type,
-        radius_equatorial_pd=.1, radius_equatorial_pd_type=pd_type,
+        radius_polar_pd=0.1, radius_polar_pd_type=pd_type,
+        radius_equatorial_pd=0.1, radius_equatorial_pd_type=pd_type,
         volfraction=0.15,
         radius_effective=270.7543927018,
         #radius_effective=12.59921049894873,
         )
-    target = sasmodels_theory(q, model, beta_mode=1, **pars)
+    target = sasmodels_theory(q, model, effective_radius_mode=0, structure_factor_mode=1, **pars)
     actual = ellipsoid_pe(q, norm='sasview', **pars)
     title = " ".join(("sasmodels", model, pd_type))
